Package org.opensaml.saml.criterion

# Class BindingCriterion

java.lang.Object
org.opensaml.saml.criterion.BindingCriterion

All Implemented Interfaces:
  `Criterion`

public final class BindingCriterion extends Object implements Criterion
`Criterion` representing an ordered list of SAML bindings.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<String>`
`bindings`
The SAML binding URI.

## Constructor Summary

Constructors
Constructor
Description
`BindingCriterion(List<String> bindingURIs)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<String>`
`getBindings()`
Get ordered list of SAML binding URIs.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### bindings

@Nonnull private final List<String> bindings
The SAML binding URI.

## Constructor Details

### BindingCriterion

public BindingCriterion(@Nonnull List<String> bindingURIs)
Constructor.

Parameters:
  `bindingURIs` - list of SAML binding URIs

## Method Details

### getBindings

@Nonnull @Unmodifiable @NotLive public List<String> getBindings()
Get ordered list of SAML binding URIs.

Returns:
  ordered list of SAML binding URIs

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`